Back to YouTube
TikHub·YouTube
YouTube Web V2: Get search suggestions
/api/v1/youtube/web_v2/get_search_suggestionssync$0.0015 / callGet YouTube search suggestions (autocomplete). Similar to suggestions shown when typing in YouTube search box (TikHub · YouTube Web V2)
Input
| Field | Type | Required | Description |
|---|---|---|---|
| keyword | string | yes | Search keyword |
| language | string | — | Language code (e.g., en, zh-cn, ja) (default "en") |
| region | string | — | Region code (e.g., US, SG, CN, JP) (default "US") |
Run it
curl -s https://www.sooma.dev/v1/run \
-H "Authorization: Bearer $SOOMA_API_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"tikhub","endpoint":"/api/v1/youtube/web_v2/get_search_suggestions","input":{}}'
Or ask your agent: it will call inspect for this schema and run it over MCP.